diff --git a/changelog b/changelog
index a06d920..8db608b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090925 tpd src/axiom-website/patches.html 20090925.03.tpd.patch
+20090925 tpd src/interp/modemap.lisp cleanup
 20090925 tpd src/axiom-website/patches.html 20090925.02.tpd.patch
 20090925 tpd src/interp/iterator.lisp cleanup
 20090925 tpd src/axiom-website/patches.html 20090925.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6331ad3..db92f88 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2030,5 +2030,7 @@ src/interp/functor.lisp cleanup<br/>
 src/interp/info.lisp cleanup<br/>
 <a href="patches/20090925.02.tpd.patch">20090925.02.tpd.patch</a>
 src/interp/iterator.lisp cleanup<br/>
+<a href="patches/20090925.03.tpd.patch">20090925.03.tpd.patch</a>
+src/interp/modemap.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/modemap.lisp.pamphlet b/src/interp/modemap.lisp.pamphlet
index 8240687..1cc8f90 100644
--- a/src/interp/modemap.lisp.pamphlet
+++ b/src/interp/modemap.lisp.pamphlet
@@ -251,7 +251,8 @@
 ;  addModemap0(op,mc,sig,pred,fn,$e)
 
 (DEFUN |addModemapKnown| (|op| |mc| |sig| |pred| |fn| |$e|)
-  (DECLARE (SPECIAL |$e|))
+  (DECLARE (SPECIAL |$e| |$CapsuleModemapFrame| 
+                    |$insideCapsuleFunctionIfTrue|))
   (COND
     ((BOOT-EQUAL |$insideCapsuleFunctionIfTrue| 'T)
      (SPADLET |$CapsuleModemapFrame|
@@ -270,6 +271,7 @@
 ;  addModemap1(op,mc,sig,pred,fn,e)
 
 (DEFUN |addModemap0| (|op| |mc| |sig| |pred| |fn| |e|)
+  (declare (special |$functorForm|))
   (COND
     ((AND (PAIRP |$functorForm|)
           (EQ (QCAR |$functorForm|) '|CategoryDefaults|)
@@ -304,6 +306,7 @@
 
 (DEFUN |addEltModemap| (|op| |mc| |sig| |pred| |fn| |e|)
   (PROG (|ISTMP#1| |v| |ISTMP#2| |sel| |lt| |id|)
+  (declare (special |$e| |$insideCapsuleFunctionIfTrue|))
     (RETURN
       (COND
         ((AND (BOOT-EQUAL |op| '|elt|) (PAIRP |sig|)
@@ -400,6 +403,7 @@
 (DEFUN |mkNewModemapList|
        (|mc| |sig| |pred| |fn| |curModemapList| |e| |filenameOrNil|)
   (PROG (|map| |entry| |oldMap| |ISTMP#1| |ISTMP#2| |opred| |ISTMP#3|)
+  (declare (special |$InteractiveMode| |$forceAdd|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |entry|
@@ -478,7 +482,8 @@
 ;  if entry then [:modemapList,entry] else modemapList
 
 (DEFUN |mergeModemap| (|entry| |modemapList| |e|)
-  (PROG (|mc| |sig| |pred| |mc'| |sig'| |pred'| |newmm| |mm| |mmtail|)
+  (PROG (|mc| |sig| |pred| |mc'| |sig'| |pred'| |newmm| |mm|)
+  (declare (special |$forceAdd|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |mc| (CAAR |entry|))
@@ -585,6 +590,7 @@
 
 (DEFUN |augModemapsFromDomain| (|name| |functorForm| |e|)
   (PROG (|curDomainsInScope| |u| |innerDom| |dl|)
+  (declare (special |$Category| |$DummyFunctorNames|))
     (RETURN
       (SEQ (COND
              ((|member| (OR (KAR |name|) |name|) |$DummyFunctorNames|)
@@ -673,6 +679,7 @@
        (|domainName| |repDefn| |functorBody| |categoryForm| |e|)
   (PROG (|fnAlist| |LETTMP#1| |repFnAlist| |catform| |lhs| |op| |sig|
             |cond| |fnsel| |u| |fnsel'|)
+  (declare (special |$base|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |LETTMP#1|
@@ -809,6 +816,7 @@
 (DEFUN |augModemapsFromCategory|
        (|domainName| |domainView| |functorForm| |categoryForm| |e|)
   (PROG (|LETTMP#1| |fnAlist| |condlist| |op| |sig| |cond| |fnsel|)
+  (declare (special |$base|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |LETTMP#1|
@@ -894,6 +902,8 @@
 
 (DEFUN |getOperationAlist| (|name| |functorForm| |form|)
   (PROG (|u| T$)
+  (declare (special |$e| |$domainShell| |$insideFunctorIfTrue|
+                    |$functorForm|))
     (RETURN
       (PROGN
         (COND
@@ -930,6 +940,7 @@
 
 (DEFUN |substNames| (|domainName| |viewName| |functorForm| |opalist|)
   (PROG (|nameForDollar| |LETTMP#1| |sel| |pos| |modemapform|)
+  (declare (special |$FormalMapVariableList|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |functorForm| (SUBSTQ '$$ '$ |functorForm|))
@@ -988,6 +999,7 @@
 ;  [form,catForm,e]
 
 (DEFUN |compCat| (|form| |m| |e|)
+  (declare (ignore |m|))
   (PROG (|functorName| |argl| |fn| |LETTMP#1| |funList| |op| |sig|
             |catForm|)
     (RETURN
@@ -1120,6 +1132,7 @@
 ;  get("$DomainsInScope","special",e)
 
 (DEFUN |getDomainsInScope| (|e|)
+  (declare (special |$CapsuleDomainsInScope| |$insideCapsuleFunctionIfTrue|))
   (COND
     ((BOOT-EQUAL |$insideCapsuleFunctionIfTrue| 'T)
      |$CapsuleDomainsInScope|)
@@ -1135,6 +1148,7 @@
 
 (DEFUN |putDomainsInScope| (|x| |e|)
   (PROG (|l| |newValue|)
+  (declare (special |$CapsuleDomainsInScope| |$insideCapsuleFunctionIfTrue|))
     (RETURN
       (PROGN
         (SPADLET |l| (|getDomainsInScope| |e|))
